/**
 * Created by mgoria on 27/04/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocalIdentityProvider = undefined;

var _IdentityProvider = require('./IdentityProvider');

class LocalIdentityProvider extends _IdentityProvider.IdentityProvider {

  /**
   * @param {Array} args
   */
  constructor(...args) {
    super(...args);
  }

  /**
   * @param {String} providerName
   * @param {Object} providers
   * @returns {*}
   */
  getProviderDomain(providerName, providers) {
    return super.getProviderDomain(providerName, providers) || providerName;
  }
}
exports.LocalIdentityProvider = LocalIdentityProvider;