/**
 * Created by mgoria on 11/09/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateCognitoDatasetException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when open or create a CognitoSync dataset
 */
class CreateCognitoDatasetException extends _Exception.Exception {
  /**
   * @param {String} dataset
   * @param {Object} error
   */
  constructor(dataset, error) {
    super(`Error on opening or creating "${dataset}" Cognito dataset. ${error}`);
  }
}
exports.CreateCognitoDatasetException = CreateCognitoDatasetException;