/**
 * Created by mgoria on 11/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DescribeIdentityException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when describe cognito identity failed
 */
class DescribeIdentityException extends _Exception.Exception {
  /**
   * @param {String} identityId
   * @param {Object} error
   */
  constructor(identityId, error) {
    super(`Error on describing cognito identity ${identityId}. ${error}`);
  }
}
exports.DescribeIdentityException = DescribeIdentityException;