/**
 * Created by CCristi on 4/04/17.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingIdentityImplementationException = undefined;

var _Exception = require('./Exception');

class MissingIdentityImplementationException extends _Exception.Exception {
  /**
   * @param {String} providerName
   */
  constructor(providerName) {
    super(`Missing identity implementation for "${providerName}"`);
  }
}
exports.MissingIdentityImplementationException = MissingIdentityImplementationException;