/**
 * Created by mgoria on 6/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MissingLoginProviderException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when requested login provider is missing
 */
class MissingLoginProviderException extends _Exception.Exception {
  /**
   * @param {String} providerName
   */
  constructor(providerName) {
    super(`Missing login provider "${providerName}" in deep-security.`);
  }
}
exports.MissingLoginProviderException = MissingLoginProviderException;