/**
 * Created by mgoria on 11/10/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SynchronizeCognitoDatasetException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when failed to sync a CognitoSync dataset
 */
class SynchronizeCognitoDatasetException extends _Exception.Exception {
  /**
   * @param {String} dataset
   * @param {Object} error
   */
  constructor(dataset, error) {
    super(`Error on synchronizing "${dataset}" Cognito dataset. ${error}`);
  }
}
exports.SynchronizeCognitoDatasetException = SynchronizeCognitoDatasetException;